MEXICOP2P

GET /users/:ref

Get user details including KYC status, volume, and AML risk.

GET /users/:ref

Retrieve full details for a user by their partnerUserRef.

Request

curl -H "X-API-Key: mp2p_test_xxx" \
  https://mexicop2p.org/api/v1/users/user_12345

Response 200

{
  "id": "cm3abc123",
  "partnerUserRef": "user_12345",
  "kycStatus": "APPROVED",
  "kycTier": "BASIC",
  "kycCompletedAt": "2025-06-14T10:00:00.000Z",
  "orderCount": 5,
  "totalVolumeMxn": 8625.00,
  "monthlyVolumeMxn": 3450.00,
  "amlRiskLevel": "LOW",
  "isPep": false,
  "isSanctioned": false,
  "createdAt": "2025-06-01T09:00:00.000Z",
  "updatedAt": "2025-06-15T12:00:00.000Z"
}

Response fields

FieldTypeDescription
idstringInternal MexicoP2P user ID
partnerUserRefstringYour reference ID
kycStatusstringNOT_REQUIRED, PENDING, APPROVED, REJECTED
kycTierstringNONE, BASIC, FULL
kycCompletedAtstring|nullWhen KYC was completed
orderCountnumberTotal orders
totalVolumeMxnnumberLifetime volume in MXN
monthlyVolumeMxnnumberCurrent month's volume
amlRiskLevelstring|nullLOW, MEDIUM, HIGH, or null
isPepbooleanPolitically exposed person flag
isSanctionedbooleanSanctions list match
createdAtstringRegistration timestamp
updatedAtstringLast update timestamp

Errors

CodeHTTPWhen
NOT_FOUND404User doesn't exist for this partner

On this page